complexType "GeneralTerms"

Namespace: | http://www.fpml.org/FpML-5/transparency
Content: | complex, 4 elements
Defined: | globally in fpml-cd-5-3.xsd; see XML source
Includes: | definitions of 4 elements
Used: | at 2 locations

Content Model Diagram

XML Representation Summary
<...>
Content: | effectiveDate, scheduledTerminationDate, (referenceInformation | indexReferenceInformation)
</...>

Content Model Elements (4):

  effectiveDate (defined in GeneralTerms complexType), indexReferenceInformation, | referenceInformation, scheduledTerminationDate

All Direct / Indirect Based Elements (2):

  generalTerms (in creditDefaultSwap in creditDefaultSwapOption),
  generalTerms (in creditDefaultSwap)

Known Usage Locations

- As direct type of elements (2):
  generalTerms (in creditDefaultSwap in creditDefaultSwapOption),
  generalTerms (in creditDefaultSwap)

XML Source (w/o annotations (4); see within schema source)

<xsd:complexType name="GeneralTerms"> <xsd:sequence> <xsd:element name="effectiveDate" type="AdjustableDate2"/> <xsd:element name="scheduledTerminationDate" type="AdjustableDate2"/> <!--View Generation: SKIPPED - PartySpecific--> <!--View Generation: SKIPPED dateAdjustments - DateAdjustments--> <xsd:choice> <xsd:element name="referenceInformation" type="ReferenceInformation"/> <xsd:element name="indexReferenceInformation" type="IndexReferenceInformation"/> <!--View Generation: SKIPPED basketReferenceInformation - Unsupported--> </xsd:choice> <!--View Generation: SKIPPED additionalTerm - Documentation--> <!--View Generation: SKIPPED substitution - Documentation--> <!--View Generation: SKIPPED modifiedEquityDelivery - Documentation--> </xsd:sequence> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 4/4)
effectiveDate

  Type: | AdjustableDate2, complex content

  The first day of the term of the trade. This day may be subject to adjustment in accordance with a business day convention. ISDA 2003 Term: Effective Date.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="effectiveDate" type="AdjustableDate2"/>

indexReferenceInformation

  Type: | IndexReferenceInformation, complex content

  This element contains all the terms relevant to defining the Credit DefaultSwap Index.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="indexReferenceInformation" type="IndexReferenceInformation"/>

referenceInformation

  Type: | ReferenceInformation, complex content

  This element contains all the terms relevant to defining the reference entity and reference obligation(s).
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="referenceInformation" type="ReferenceInformation"/>

scheduledTerminationDate

  Type: | AdjustableDate2, complex content

  The scheduled date on which the credit protection will lapse. This day may be subject to adjustment in accordance with a business day convention. ISDA 2003 Term: Scheduled Termination Date.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="scheduledTerminationDate" type="AdjustableDate2"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.